DAVIX-GET(1)

NAME
davix-get - Download tool based on libdavix

SYNOPSIS

        davix-get [options]... url
        davix-get [options]... url local_file

DESCRIPTION
davix-get is a tool to download resources from HTTP, Webdav or REST compatible services.
The command supports the protocol Http (http(s)://), WebDav (dav(s)://) and S3 (s3(s)://).

Target resources can either be a single file or a collection.
In the case of collection, all sub-collections will also be downloaded.

davix-get is powered by libdavix. See libdavix(3) for details.

OPTIONS

Common Options:

    --debug
    Debug mode

    --header, -H
    Add a header field to the request (eg: -H "Depth: 1" )

    --help, -h
    Display this help message

    --metalink OPT
    Metalink support. (OPT=failover[default]|no)

    --module, -P PLUGIN_NAME
    Load a plugin or profile by name

    --redirection OPT
    Transparent redirection support. (OPT=yes[default]|no)

    --proxy, -x URL
    SOCKS5 proxy server URL. (ex: socks5://login:pass@socks.example.org)

    --trace
    Traces specific scope(s), options include:
    file - Davix file interface
    posix - Davix POSIX interface
    xml - XML parser output
    ssl - SSL and certs details
    header - HTTP queries headers
    body - HTTP bodies
    chain - IO chains info
    core - Config and Davix command line tools info
    grid - Misc info from 3rd parties
    socket - Socket info
    locks - WebDAV locking info
    all - Traces everything

    --version
    Display version

Security Options:

    --capath CA_PATH
    Add an additional certificate authority directory

    --cert, -E CRED_PATH
    Client Certificate in PEM format

    --key priv_path
    Private key in PEM format

    --insecure, -k
    Disable SSL credential checks

    --userlogin
    User login for login/password authentication

    --userpass
    User password for login/password authentication

    --s3secretkey
    AWS S3 authentication: secret key

    --s3accesskey
    AWS S3 authentication: access key

    --s3region
    AWS S3 authentication: region

    --s3token
    AWS S3 security token - used along with STS temporary credentials

    --s3alternate
    Specify this flag if you need to use a path-based S3 URL

    --azurekey
    Azure authentication key

EXAMPLES

Download content and print it on stdout
        davix-get http://example.org/dir1/dir2/file1

Download content to a local file
        davix-get s3://bucket.example.org/collection/file2 /tmp/file2

Download content to a local file with VOMS authentication in a Grid environment
        davix-get -P grid davs://grid-storage.example.org/dir1/file1 /tmp/file1

Download content and print it to stdout, using a OAuth token
        davix-get https://example.org/dir1/tmpfile -H "Authorization: Bearer mytoken"

Download collection to a local directory
        davix-get dav://example.org/dir ./mydir

SEE ALSO
libdavix(3),davix-get(1),davix-put(1),

LINKS
http://dmc.web.cern.ch/projects/davix/home

AUTHORS
Adrien Devresse <adrien.devresse@cern.ch>, IT-SDC-ID, CERN